Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets.html
Class ActionListenerHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          org.richfaces.view.facelets.html.ActionListenerHandler

All Implemented Interfaces:
  javax.faces.view.ActionSource2AttachedObjectHandler, javax.faces.view.AttachedObjectHandler, javax.faces.view.facelets.FaceletHandler

    public class ActionListenerHandler

extends javax.faces.view.facelets.TagHandler
implements javax.faces.view.ActionSource2AttachedObjectHandler

Author:
  Nick Belaevski

Field Summary

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`ActionListenerHandler(javax.faces.view.facelets.TagConfig config)`

Method Summary
`void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`
`void` | `applyAttachedObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent parent)`
`String` | `getFor()`

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionListenerHandler

    public ActionListenerHandler(javax.faces.view.facelets.TagConfig config)

Method Detail

### applyAttachedObject

    public void applyAttachedObject(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent parent)

  Specified by:
    `applyAttachedObject` in interface `javax.faces.view.AttachedObjectHandler`

### getFor

    public String getFor()

  Specified by:
    `getFor` in interface `javax.faces.view.AttachedObjectHandler`

### apply

    public void apply(javax.faces.view.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws IOException

  Specified by:
    `apply` in interface `javax.faces.view.facelets.FaceletHandler`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.